LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 01-10-2003, 06:10 AM   #1
delfins
LQ Newbie
 
Registered: Jan 2003
Location: Riga, Latvia
Posts: 2

Rep: Reputation: 0
Can' t load libphp4.so into apache


so i have problem (in subject),...

slack writes : can' t load object library: library couldnot be find

but file exists

/usr/libexec/libphp4


i have slack 8.0, installed from CD (also apache, and PHP)

help please!!

thanx
 
Old 01-10-2003, 09:37 AM   #2
LSD
Member
 
Registered: Jan 2003
Location: Northam, W.A., Australia
Distribution: Gentoo ~x86
Posts: 321

Rep: Reputation: 30
What versions of Apache and PHP are you using? If you're using Apache2 then make absolutely sure you're running the latest version of PHP (4.3.0) otherwise you'll have problems.
 
Old 01-10-2003, 09:46 AM   #3
Astro
Member
 
Registered: Jan 2003
Location: Ballston Lake, NY
Distribution: Slackware, Debian
Posts: 660

Rep: Reputation: 30
Apache PHP Howto

I've found a wonderful way to install Apache with PHP on a help document from php3.info .... it is as follows ... BUT I've not installed the default Apache and PHP from the slackware CD, it's all done from source.

1. gunzip apache_1.3.14.tar.gz
2. tar xvf apache_1.3.14.tar
3. gunzip php-4.0.3pl1.tar.gz
4. tar xvf php-4.0.3pl1.tar
5. cd apache_1.3.14
6. ./configure --prefix=/usr/local/apache
7. cd ../php-4.0.3pl1
8. ./configure --with-mysql --with-apache=../apache_1.3.14
--enable-track-vars
9. make
10. make install
11. cp libs/libphp4.a ../apache_1.3.14/src/modules/php4/
12. cd ../apache_1.3.14
13. ./configure --activate-module=src/modules/php4/libphp4.a
14. make
15. make install

Changing version numbers as needed.

The original is here Thanks goes to Stephen VanDyke ( stephen at opido dot com ) for posting this on the php site in the first place. This seems to work fine for me, so if you have problems let me know.

Last edited by Astro; 01-10-2003 at 09:48 AM.
 
Old 01-10-2003, 09:49 AM   #4
delfins
LQ Newbie
 
Registered: Jan 2003
Location: Riga, Latvia
Posts: 2

Original Poster
Rep: Reputation: 0
Okey, thanks. i will try do this actions...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to start Apache "Cannot load /etc/httpd/modules/libphp4.so" dagalicous Linux - Software 1 03-10-2005 01:43 AM
cannot load libphp4.so becasue i havent such a file papitu76 Linux - Software 8 01-07-2005 12:12 PM
cannot load libexec/libphp4.so into server GabeF Linux - Software 1 11-29-2002 04:36 PM
Cannot load /usr/lib/apache/libphp4.so into server jmnovak Linux - General 3 07-01-2002 10:52 AM
apache can't load libphp4.so rangga_k Linux - General 7 03-01-2001 02:52 AM


All times are GMT -5. The time now is 11:14 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration